私たちのアプリをインストールする 🪄 アドレスバーの右上にあるアイコンをクリックします。

アカウント支払い

GET https://digily.link/api/payments/
curl --request GET \
--url 'https://digily.link/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
processor オプション 文字列 許可されている値: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status オプション 文字列 許可されている値: paid, pending, cancelled, refunded
type オプション 文字列 許可されている値: one_time, recurring
frequency オプション 文字列 許可されている値: monthly, quarterly, biannual, annual, lifetime
datetime_field オプション 文字列 許可されている値: datetime
datetime_start オプション 文字列 この日時から始まる結果をフィルタリングします。Y-m-d H:i:s 形式。
datetime_end オプション 文字列 この日時までの結果をフィルターします。Y-m-d H:i:s形式。
order_by オプション 文字列 結果を並べ替えるフィールド。許可されている値は: id, datetime, total_amount
order_type オプション 文字列 結果の順序。許可される値は、昇順のASCと降順のDESCです。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果数を指定してください。許可されている値は: 10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-05-13 00:05:59",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/payments?page=1",
        "last": "https://digily.link/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/payments?page=1"
    }
}
GET https://digily.link/api/payments/{payment_id}
curl --request GET \
--url 'https://digily.link/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-05-13 00:05:59",
    }
}